global:
  scrape_interval: 15s

alerting:
  alertmanagers:
    - static_configs:
        - targets: ['alertmanager:9093']

rule_files:
  - /etc/prometheus/alert_rules.yml

scrape_configs:
  - job_name: 'node'
    static_configs:
      - targets: ['172.16.201.21:9100']

  - job_name: 'cadvisor'
    static_configs:
      - targets: ['cadvisor:8080']   # container port still 8080

  - job_name: 'blocky'
    static_configs:
      - targets: ['blocky-host1:9090']

  - job_name: 'technitium'
    static_configs:
      - targets: ['172.16.201.21:8081']
